> ## Documentation Index
> Fetch the complete documentation index at: https://novita.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Image Prewarm Task



## OpenAPI

````yaml api-reference/gpus-v2-spec/get-image-prewarm.json GET /gpus/v2/prewarm-tasks/{task_id}
openapi: 3.0.0
info:
  title: Novita GPU API v2
  version: 2.0.0
servers:
  - url: https://api.novita.ai
security: []
paths:
  /gpus/v2/prewarm-tasks/{task_id}:
    get:
      summary: Get Image Prewarm Task
      parameters:
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
          description: 'Bearer authentication format, e.g.: `Bearer {{API_KEY}}`.'
        - name: task_id
          in: path
          required: true
          schema:
            type: string
          description: 'Image prewarm task ID. String, length: 1-255 characters.'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  task_id:
                    type: string
                    description: Image prewarm task ID
                    example: prewarm-task-id
                  name:
                    type: string
                    description: Image name
                    example: image:tag
                  image:
                    type: string
                    description: Image address
                    example: registry.example.com/team/image:tag
                  region_id:
                    type: string
                    description: Region ID
                    example: region-a
                  product_ids:
                    type: array
                    items:
                      type: string
                    description: Product IDs covered by prewarming
                    example:
                      - product-a
                  image_size:
                    type: integer
                    description: 'Image size. Unit: bytes'
                    example: 10737418240
                  created_at:
                    type: integer
                    description: Creation time. Unix timestamp
                    example: 1714982400
                  completed_at:
                    type: integer
                    description: Completion time. Unix timestamp; 0 when not finished
                    example: 0
                  status:
                    type: object
                    description: Task status
                    properties:
                      status:
                        type: string
                        enum:
                          - pending
                          - running
                          - succeeded
                          - failed
                        description: >-
                          Status value. Allowed values: `pending`, `running`,
                          `succeeded`, `failed`
                        example: running
                      error:
                        type: string
                        description: Error code or error type
                        example: ''
                      message:
                        type: string
                        description: Status note or error message
                        example: ''
                  registry_auth_id:
                    type: string
                    description: Registry authentication ID
                    example: registry-auth-id
                  note:
                    type: string
                    description: Note for the prewarm task
                    example: ''
                  reason:
                    type: array
                    items:
                      type: string
                    description: Reasons for prewarm failure
                    example:
                      - ''

````